Opened 9 years ago

Last modified 22 months ago

#229 new enhancement

Unsupported document (can't render PDFs that check Adobe Reader is there using JavaScript)

Reported by: Mikael Elf Owned by:
Priority: minor Milestone: 1.4.1
Component: Plugin: PDF Version: 1.3
Keywords: Cc:

Description

The uploaded pdf is a from the Swedish pass-port authority. Some new fancy version of pdf-document I guess, which I'm not able to open. Instead it produces a message:

"Please wait... If this message is not eventually replaced by the proper contents of the document, your PDF viewer may not be able to display this type of document. You can upgrade to the latest version of Adobe Reader for Windows®, Mac, or Linux® by visiting http://www.adobe.com/products/acrobat/readstep2.html. For more assistance with Adobe Reader visit http://www.adobe.com/support/products/ acrreader.html.

Windows is either a registered trademark or a trademark of Microsoft Corporation in the United States and/or other countries. Mac is a trademark of Apple Inc., registered in the United States and other countries. Linux is the registered trademark of Linus Torvalds in the U.S. and other countries."

Attachments (1)

RPS_531.2_pass_underarig.pdf (43.4 KB) - added by Mikael Elf 9 years ago.

Download all attachments as: .zip

Change History (12)

Changed 9 years ago by Mikael Elf

comment:1 Changed 9 years ago by Silvan Scherrer

Priority: majorFeedback Pending

this is a poppler problem it seems. as also with other poppler based apps it's not working. so i suggest you to report this to the poppler people. http://poppler.freedesktop.org/

comment:2 Changed 9 years ago by Mikael Elf

Ok, thanks for your investigation. I'll pass it to them.

comment:3 Changed 9 years ago by Mikael Elf

The problem has been discussed, but they seem unsure of who's problem it is:

https://bugs.freedesktop.org/show_bug.cgi?id=14265

comment:4 Changed 8 years ago by Silvan Scherrer

it seems like poppler will not support such stuff in the near future.

comment:5 Changed 5 years ago by Lewis Rosenthal

Component: Lucide CorePlugin: PDF
Priority: Feedback Pendingminor
Summary: Unsupported documentUnsupported document (cannot read XFA)

Changing component to Plugin: PDF and priority to minor, as this is a poppler issue. Also changing summary to better reflect the underlying request (support for rendering XFA forms in PDF documents).

If this is a higher priority, then as discussed in the poppler ticket referenced above, we might be able to look at implementing a separate library.

(JPedal Java PDF Forms Library from IDR Solutions apparently provides this support for Java, though I don't believe it is open source.)

comment:6 Changed 4 years ago by Gregg Young

This doesn't work in qpdf using the newest 0.38.0 poppler

comment:7 Changed 4 years ago by Lewis Rosenthal

Actually, we can read XFA, we just can't save XFA.

I guess I should change the title of this again to actually mirror the poppler bug (Poppler doesn't render PDFs that check Adobe Reader is there using JavaScript). Now, saving an XFA form is another bug. As I'm the guy who changed the title the last time, this confusion was my fault.

Last edited 4 years ago by Lewis Rosenthal (previous) (diff)

comment:8 Changed 4 years ago by Lewis Rosenthal

Summary: Unsupported document (cannot read XFA)Unsupported document (can't render PDFs that check Adobe Reader is there using JavaScript)

comment:9 Changed 4 years ago by Gregg Young

Milestone: Future

comment:10 Changed 4 years ago by Lewis Rosenthal

Related: #173

comment:11 Changed 22 months ago by Gregg Young

Milestone: Future1.4.1
Note: See TracTickets for help on using tickets.